Arch: Parte di edificio

From FreeCAD Documentation
Revision as of 22:22, 6 October 2019 by Renatorivo (talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Arch Floor.svg Piano Pagina precedente:
Pagina successiva: Edificio Arch Building.svg Arrow-right.svg

Arch BuildingPart.svg Parte di edificio

Posizione nel menu
Arch → Parte di edificio
Ambiente
Arch
Avvio veloce
Introdotto nella versione
0.18
Vedere anche
Edificio, Sito


Descrizione

Parti di edificio sostituisce i vecchi Piano e Edificio di Arch con una versione più capace che può essere utilizzata non solo per creare Piani o Livelli, ma anche tutti i tipi di situazioni in cui è necessario raggruppare oggetti Arch o BIM diversi e quel gruppo può aver bisogno di essere gestito come un oggetto o replicato.

Utilizzo

  1. Facoltativamente, selezionare uno o più oggetti da includere nella nuova Parte dell'edificio.
  2. Premere il pulsante Arch BuildingPart.svg Parte di edificio.

Opzioni

  • Dopo aver creato una Parte di edificio, è possibile aggiungere più oggetti trascinandoli nella Vista ad albero o usando lo strumento Arch Add.svg Aggiungi componente.
  • Per rimuovere oggetti da una Parte di edificio trascinarli nella vista ad albero o usare lo strumento Arch Remove.svg Rimuovi componente.
  • Facendo doppio clic sull'oggetto Parte di edificio nella vista ad albero, il Piano di lavoro viene impostato sulla sua posizione e la Parte di edificio diventa attiva, il che significa che i nuovi oggetti vengono aggiunti automaticamente ad esso. Facendo nuovamente doppio clic su Parte di edificio, essa si disattiva e si imposta il piano di lavoro nella posizione precedente.
  • Parte di edificio può visualizzare un segno nella vista 3D con una etichetta e l'indicazione del livello.
  • Quando un oggetto Parte di edificio viene spostato o ruotato, tutti i suoi figli che non hanno alcuna proprietà DATAMove With Host o che hanno questa proprietà attivata, si spostano o ruotano insieme.
  • Parte di edificio può essere clonato
  • Parte di edificio può assumere qualsiasi tipo di IFC. La sua proprietà IFC Role ne determina l'utilizzo. Se la si imposta su Building Storey si comporta come livello. Se la si imposta su Building si comporta come un edificio e se la si imposta su Element Assembly si comporta come un assemblaggio. La sua icona cambia per riflettere questa impostazione, ma a parte questo non ha nessun altro impatto in FreeCAD. Tuttavia, l'esportazione in IFC in un tipo o un altro tipo può avere un impatto in altre applicazioni BIM.

Proprietà

Dati

  • DATAHeight: l'altezza di questo oggetto, e dei suoi oggetti figli. Gli oggetti figli possono essere, per esempio, dei muri. L'altezza di ogni muro deve essere impostata su 0 (zero), quindi la proprietà altezza della Parte di edificio si propaga agli oggetti al suo interno.
  • DATALevelOffset: il livello del punto (0,0,0) di questo livello. Questo valore viene aggiunto all'attributo Placement.Base.z di BuildingPart, per indicare un offset verticale senza spostare effettivamente l'oggetto. L'offset risultante viene visualizzato se VIEWShow Level è True.
  • DATAArea: l'area del pavimento calcolata di questo piano.
  • DATAIfcRole: il ruolo di questo oggetto.
  • DATADescription: una descrizione facoltativa per questo componente.
  • DATATag: un tag opzionale per questo componente.
  • DATAIfcAttributes: proprietà e attributi IFC personalizzati.

Vista

  • VIEWLineWidth: lo spessore di linea di questo oggetto
  • VIEWOverrideUnit: un'unità opzionale per esprimere i livelli
  • VIEWDisplayOffset: una trasformazione da applicare al segno di livello
  • VIEWShowLevel: se è vero, mostra il livello
  • VIEWShowUnit: se è vero, mostra l'unità sul tag di livello
  • VIEWSetWorkingPlane: se è vero, quando attivato, il piano di lavoro si adatta automaticamente a questa Parte di edificio
  • VIEWOriginOffset: se è vero, quando attivato, l'Offset della visualizzazione influisce anche sul segno di origine
  • VIEWShowLabel: se true, quando attivato, viene visualizzata l'etichetta dell'oggetto
  • VIEWFontName: il carattere da utilizzare per i testi
  • VIEWFontSize: la dimensione del carattere dei testi
  • VIEWRestoreView: se impostato, la vista memorizzata in questo oggetto viene ripristinata con un doppio clic
  • VIEWDiffuseColor: i singoli colori delle facce

Disponibile dalla versione 0.19

  • VIEWChildrenOverride: Se impostato, le impostazioni seguenti influenzno i figli di questa Parte di edificio.
  • VIEWChildrenLineWidth: La larghezza di linea da applicare ai figli di questa Parte di edificio.
  • VIEWChildrenLineColor: Il colore della linea da applicare ai figli di questa Parte di edificio.
  • VIEWChildrenShapeColor: Il colore della forma da applicare ai figli di questa Parte di edificio.
  • VIEWChildrenTransparency: La trasparenza da applicare ai figli di questa Parte di edificio.

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Parte di edificio può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

BuildingPart = makeBuildingPart(objectslist=None)
  • Crea un oggetto BuildingPart da una objectslist, che è una lista di oggetti.

Esempio:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Floor.svg Piano Pagina precedente:
Pagina successiva: Edificio Arch Building.svg Arrow-right.svg